
Redmine - Defect #11731

Custom fields values are lost when changing the project on issue update

2012-08-29 10:56 - ko simo

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.3.1

Description

When you change a project on issue updating, if the tracker available differ between projects and the project change-to dosen't have

the tracker before the project's change, tracker was automatically default.

But custom fields are not redrawn.

However, re-select the project for the second time, to be redrawn.

About application's environment

Redmine-1.4.4

Database Mysql            5.0.95

Ruby version              1.8.7 (i686-linux)

RubyGems version          1.7.2

Rack version              1.1.3

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Application root          /var/redmine

Environment               production

Database adapter          mysql

Related issues:

Related to Redmine - Feature #22600: Add warning when loosing data from custo... Closed

History

#1 - 2012-09-05 15:27 - Etienne Massip

- Category set to Issues

- Affected version (unused) set to 1.4.4

- Affected version set to 1.4.4

#2 - 2012-09-05 17:49 - Etienne Massip

- Subject changed from Updating issue, custom fields are not redrawn by changing the project and tracker to Custom fields values are lost when

changing the project on issue update

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

Eventually got it (on trunk).

You mean that the values of the custom fields are lost on project change despite the fact that the fields are also tied to the target's tracker when

automatically selected as a fallback if the source tracker is not tied to the target project.

Is that right?

#3 - 2012-09-05 22:52 - ko simo

Yes. That is right.

Thank you.

#4 - 2012-09-09 11:36 - Jean-Philippe Lang
I can't reproduce with trunk:

I have project A with defect and feature trackers, project B with feature only.

Defect and Feature trackers have a "Resolution" custom field

I have a defect on project A with a value for the Resolution custom field

I change the project from A to B while editing the issue

=> tracker is defaulted to Feature but the Resolution value is kept

What am I missing?

#5 - 2012-09-09 12:25 - Etienne Massip

Nothing.

I'll reproduce again as I'm sure I triggered it and let you know.

#6 - 2012-09-10 10:00 - Etienne Massip

- Resolution set to Cant reproduce

Actually I can't reproduce neither; I'm pretty sure I mixed up custom fields and Version/Category fields the first time :|

#7 - 2012-09-13 00:17 - Etienne Massip

- Status changed from Confirmed to New

- Target version deleted (Candidate for next minor release)

I'm sorry, this isssue might be due to a plugin, could you try without anyone installed?

#8 - 2012-09-14 10:33 - ko simo

I confirmed without any plug-in.

I am sorry. Condition is missing.

In the case of Custom field setting "For all projects" ON,

to switch the project (And also switched Tracker), the field will remain on the screen.

-> This custom field is set to not use in that tracker (which is automatically selected), so should disappear from the screen.

However, in the case of "For all projects" OFF, it disappears from the screen. This is the expected behavior.

Thank you.

#9 - 2013-07-11 14:12 - Daniel Felix

- Affected version (unused) changed from 1.4.4 to 2.3.1

- Affected version changed from 1.4.4 to 2.3.1

I can reproduce this on Redmine 2.3.1.

Ways to reproduce:

Create Custom Field (CF)

Create Project A (PA) with CF assigned

Create Project B (PB)

Create issue in PA and assign value to CF. Save.

Edit issue, move to PB. Save. Field disappeared (as expected)

Edit issue, move back to PA. Save. Field is empty.

Expected: CF should hold back the content.

Any suggestions?

Best regards,

Daniel

#10 - 2013-07-11 14:12 - Daniel Felix

- Resolution deleted (Cant reproduce)

#11 - 2013-07-11 14:50 - Daniel Felix

I think this is related to:

source:trunk/app/models/issue.rb#L447
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/models/issue.rb#L447


#12 - 2013-07-11 15:15 - Daniel Felix

I found the line which rejects this.

source:trunk/lib/plugins/acts_as_customizable/lib/acts_as_customizable.rb#L146

I haven't seen any regressions to comment this line out. After commenting this out, the main application still works as expected.

#13 - 2016-04-24 10:24 - Go MAEDA

- Related to Feature #22600: Add warning when loosing data from custom fields when bulk editing issues added

#14 - 2017-02-16 05:40 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I think this issue is fixed by #22600, right?
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/plugins/acts_as_customizable/lib/acts_as_customizable.rb#L146
